### Method

# FwupdPlugin Device add_parent_guid

#### Declaration [src]

    void
    fu_device_add_parent_guid (
      FuDevice* self,
      const gchar* guid
    )

#### Description [src]

Sets any parent device using a GUID. An parent device is logically linked to the primary device in some way and can be added before or after `self`.

The GUIDs are searched in order, and so the order of adding GUIDs may be important if more than one parent device might match.

If the parent device is removed, any children logically linked to it will also be removed.

Available since: | 1.0.8

#### Parameters

`guid` | `const gchar*`
| A GUID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.